#include "WatchlistQuery.h"

void CWatchlist::Update( void )
{
	// Empty the current watchlist
	CPlayerListManager::RemoveAll();

	// Fetch the watchlist from the site.
	char* szList;
	int uiDataLen = http_fetch( "liberty-unleashed.co.uk/Watchlist/names.txt", &szList );

	// If we can't retreive it then we need to go no further
	if ( uiDataLen == -1 )
	{
		printf( "\n[WATCHLIST] Unable to retreive watchlist.\n" );
		return;
	}

	// Loop through the watchlist and store each name into the list
	char* context = NULL;

#ifdef _WIN32
	szList = strtok_s( szList, "\n", &context );
#else
	szList = strtok( szList, "\n" );
#endif

	while ( szList )
	{
		CPlayerListManager::New( szList );
#ifdef _WIN32
		szList = strtok_s( 0, "\n", &context );
#else
		szList = strtok( 0, "\n" );
#endif
	}

	// Let the users know that the watchlist was updated fine.
	printf( "\n[WATCHLIST] Watchlist has been updated.\n" );
}

